%bcond_with docs

%global srcname Automat
%global libname automat

Summary:        Self-service finite-state machines for the programmer on the go
Name:           python-%{srcname}
Version:        20.2.0
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/glyph/automat
Source0:        %pypi_source

Patch0001:      0001-Use-CodeType.replace-in-copycode-for-Python-3.8.patch

BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  python3dist(sphinx-rtd-theme)
%endif

BuildArch:      noarch

%description
Automat is a library for concise, idiomatic Python expression of finite-state
automata (particularly deterministic finite-state transducers).

%package -n     python3-%{srcname}
Summary:        Self-service finite-state machines for the programmer on the go
Provides:       python3-%{libname}

%description -n python3-%{srcname}
Automat is a library for concise, idiomatic Python expression of finite-state
automata (particularly deterministic finite-state transducers).

%if %{with docs}
%package -n python-%{srcname}-doc
Summary:        Automat documentation

%description -n python-%{srcname}-doc
Documentation for Automat
%endif

%prep
%autosetup  -p1 -n %{srcname}-%{version}
sed -i "s|'m2r',||g" setup.py > test.py

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%if %{with docs}
PYTHONPATH=%{pyproject_build_lib}  sphinx-build docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{libname}

%check
%tox

%files -n python3-%{srcname} -f %{pyproject_files}
%{_bindir}/automat-visualize

%if %{with docs}
%files -n python-%{srcname}-doc
%license LICENSE
%doc html
%endif

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Miaojun Dong <zoedong@tencent.com> - 20.2.0-1
- initial build
